/**
 * MediaQuery Decorator
 *
 * ```ts
 * @Component({ ... })
 * class ChildComponent {
 *   @MediaQuery('app-parent:(max-width: 20rem)') @HostBinding('class.parentSmall') parentSmall = false;
 *   @MediaQuery('(max-width: 20rem)') @HostBinding('class.childSmall') childSmall = false;
 *
 *   constructor(
 *     resize: ObserveResizeService,
 *     elementRef: ElementRef,
 *     changeDetector: ChangeDetectorRef
 *   ) {
 *     resize.register(this, elementRef, changeDetector);
 *   }
 * }
 * ```
 * */
export declare function MediaQuery(rule: string): (target: Object, key: string) => void;
